Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class InvalidParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      java.security.InvalidParameterException

All Implemented Interfaces:
  Serializable

    public class InvalidParameterException

extends IllegalArgumentException

This exception, designed for use by the JCA/JCE engine classes, is thrown when an invalid parameter is passed to a method.

See Also:
  Serialized Form

Constructor Summary
`InvalidParameterException()` Constructs an InvalidParameterException with no detail message.
`InvalidParameterException(String msg)` Constructs an InvalidParameterException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidParameterException

    public InvalidParameterException()

  Constructs an InvalidParameterException with no detail message. A detail message is a String that describes this particular exception.

### InvalidParameterException

    public InvalidParameterException(String msg)

  Constructs an InvalidParameterException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.